> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document

> Get a knowledge document by ID.



## OpenAPI

````yaml /openapi-v1.json get /api/v1/documents/{document_id}
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/documents/{document_id}:
    get:
      tags:
        - Documents
      summary: Get Document
      description: Get a knowledge document by ID.
      operationId: core_api_v1_controllers_documents_get_document
      parameters:
        - in: path
          name: document_id
          schema:
            title: Document Id
            type: string
          required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DocumentOut:
      description: Stripe-aligned document response.
      properties:
        object:
          default: document
          title: Object
          type: string
        id:
          title: Id
          type: string
        title:
          title: Title
          type: string
        page_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Page Id
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        override_content:
          anyOf:
            - type: string
            - type: 'null'
          title: Override Content
        related_questions:
          anyOf:
            - type: string
            - type: 'null'
          title: Related Questions
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        public_display:
          default: true
          title: Public Display
          type: boolean
        default_language:
          default: en
          title: Default Language
          type: string
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        source_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Name
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        position:
          default: 0
          title: Position
          type: integer
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
      required:
        - id
        - title
      title: DocumentOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````